public static interface HazelcastInstanceEndpointBuilderFactory.HazelcastInstanceBuilders
| Modifier and Type | Method and Description |
|---|---|
default HazelcastInstanceEndpointBuilderFactory.HazelcastInstanceEndpointBuilder |
hazelcastInstance(String path)
Hazelcast Instance (camel-hazelcast)
Consume join/leave events of a cache instance in a Hazelcast cluster.
|
default HazelcastInstanceEndpointBuilderFactory.HazelcastInstanceEndpointBuilder |
hazelcastInstance(String componentName,
String path)
Hazelcast Instance (camel-hazelcast)
Consume join/leave events of a cache instance in a Hazelcast cluster.
|
default HazelcastInstanceEndpointBuilderFactory.HazelcastInstanceEndpointBuilder hazelcastInstance(String path)
hazelcast-instance:cacheName
Path parameter: cacheName (required)
The name of the cachepath - cacheNamedefault HazelcastInstanceEndpointBuilderFactory.HazelcastInstanceEndpointBuilder hazelcastInstance(String componentName, String path)
hazelcast-instance:cacheName
Path parameter: cacheName (required)
The name of the cachecomponentName - to use a custom component name for the endpoint
instead of the default namepath - cacheNameApache Camel